Rechercher

2 décembre 2016 5 02 /12 /décembre /2016 14:24

Voilà 10 ans maintenant que je vole sur VATSIM avec FS9 et sous XP (SP2). Ayant eu cet été un souci avec mon PC acquis en mars 2005 et sur lequel je vole depuis 2006, j'ai fait l'acquisition d'une nouvelle machine avec évidemment Windows 10. Ayant dans mon entourage une personne possédant FS X Pro et ne l'utilisant plus, j'ai donc récupéré cette version et l'ai installée sur la nouvelle machine. Pour mettre à niveau cette version, il me reste à y intégrer les SP1 et SP2 qui ne figurent pas dans l'édition professionnelle. Or l'ajout du SP1 nécessite l'installation préalable du Visual Studio 2005 SP1. Le problème est que VS 2005 SP1 ne fonctionne pas sur Windows 10 d’après le site officiel.  Comme l'ajout du SP2 nécessite d'avoir intégré avant le SP1, me voilà bloqué pour mettre à jour FS X. […]. Cet exposé m'amène à poser 2 questions : est-ce que sans le SP1, je peux quand même espérer voler en réseau ? Et sachant que le pack Expansion contient les SP1 et SP2, est-ce que son ajout peut être fait sous Windows 10 avec succès ?

F. Chantome

Nous relayons sur le blog l'appel de notre lecteur : d'autres que nous auraient-ils des pistes pour une réponse ? Car devant le nombre de possibilités (configurations matérielles, versions de FS X et de Windows, astuces de derrière les fagots) nous ne sommes pas capables de trouver une solution satisfaisante dans l'état actuel des choses ! Toute aide sera bienvenue !

Partager cet article

Repost 0
Publié par Rédaction Microsim - dans Courrier lecteurs
commenter cet article

commentaires

Michel O. 27/03/2017 17:05

Bonjour

A vrai dire, après de nombreux essais et des heures passées devant mon ordi, j'en suis arrivé à la conclusion que seul FSX Steam Edition fonctionnait correctement sous Windows 10.
Certes c'est en anglais, mais si vous êtes un pratiquant ancien et chevronné, cela ne doit pas vous poser de problème. J'ai donc adopté pour ma part la solution suivante: une partition windows 10 64 bits pour FSX Steam Edition et une partition windows 7 32 bits pour les "oldies" (FSX DVD, FS 2004 et même FS 2002...). Et tout cela fonctionne très bien ainsi.

Cordialement

Michel OLEK

Gomez 27/03/2017 16:14

Bonjour
Si vous pouvez acquérir FSX Accélération . pas besoin de SP1 et de SP2 . Tout y est dans ce DVD.
Bon courage
jacques

Chantôme 22/12/2016 16:30

Bonjour,

Je tiens tout d'abord à vous remercier d'avoir pris du temps pour vous pencher sur mon problème.

Dans votre réponse vous écrivez : «vous êtes certains de ne pas confondre VS 2005 SP1 avec les librairies VC 2005 SP1 ( Microsoft Visual C++ 2005 SP1 Redistributable Package ) ? Le Visual Studio 2005 SP1 dont vous parlez est un service pack pour le logiciel de développement Visual Studio, de 2005, qui effectivement est bien trop ancien pour W10 »

L'information dont je fais état vient du site même de Microsoft et dont je vous indique ci-après le lien:https://www.microsoft.com/Products/Games/FSInsider/downloads/Pages/FlightSimulatorXServicePack1.aspx
Il s'agit bien de VS 2005 SP1 et non VC 2005 SP1. Il y est indiqué : « Remarque : le contenu tiers nécessite VS 2005 SP1 pour se charger correctement. Le contenu tiers développé pour FSX au moyen de VS 2005 SP1 requiert le nouveau fichier redistribuable VS 2005 SP1 »
Questions : il-y-a-t-il quelque chose que je n’interprète pas bien dans cette explication ?

Pour l'instant je n'ai fait aucune installation. Je compte faire un premier essai d'installation de FSinn et Fscopilot et voir si la connexion à Vatsim fonctionne.
Encore merci pour ces explications et conseils.

Bien cordialement,

Francis Chantôme

Michel 22/12/2016 10:03

Bonjour

Honnêtement, pourquoi vous embêter avec FSX DVD? Téléchargez donc FSX Steam Edition, qui lui est conçu pour fonctionner sous Windows 10. Certes il ne fonctionne qu'en anglais. Mais si vous avez comme vous le dites 10 ans de pratique de la simulation aérienne, ceci ne doit pas vous poser de problème.

Nathan 10/12/2016 08:22

Bonjour,

Vous écrivez: Or l'ajout du SP1 nécessite l'installation préalable du Visual Studio 2005 SP1. Le problème est que VS 2005 SP1 ne fonctionne pas sur Windows 10 d’après le site officiel.

Déjà première question, vous êtes certains de ne pas confondre VS 2005 SP1 avec les librairies VC 2005 SP1 ( Microsoft Visual C++ 2005 SP1 Redistributable Package ) ? Le Visual Studio 2005 SP1 dont vous parlez est un service pack pour le logiciel de développement Visual Studio, de 2005, qui effectivement est bien trop ancien pour W10. Par contre les librairies ne sont qu'un ensemble de DLL qui elles fonctionnent sans problème.

Je vous invite donc à télécharger les version 32bit et 64bit ( si votre système est un 64bit, sinon vous n,en avez pas besoin) de ces même librairies, de les installer, et de réessayer l'installation des SP1 et SP2 de votre FSX.

V 32bit : https://www.microsoft.com/en-us/download/details.aspx?id=5638
V 64bit : https://www.microsoft.com/en-us/download/details.aspx?id=18471

Quant à la question pour l'Expansion pack.. Il faut au moins le sp1, mais l'installation du pack reste assez capricieuse, car parfois il faut installer le sp2, redémarer le système, désinstaller le sp2 en gardant bien le sp1, pour ensuite installer le pack expansion..

Bon Vol :)

Nathan.